// pages/login/login.js
Page({

    /**
     * 页面的初始数据
     */
    data: {

        userInfo: {},
        // 是否获取到了用户信息
        hasUserInfo: false,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
       
    },

    // 获取手机号授权
    getPhoneNumber(e) {
        console.log(e);
        if (!!e.detail.iv && !!e.detail.encryptedData) {
            const iv = e.detail.iv
            const encryptedData = e.detail.encryptedData
            this.appletLogin(iv, encryptedData)
        } else {
            wx.showToast({
                title: '请允许授权，获得更好的服务哦',
                icon: "none",
                duration: 3000
            })
        }
    },
    // 保存用户信息
    appletLogin(iv,encryptedData){
        
    },
    // 获取头像昵称...
    getUserProfile(e) {
        if(this.data.hasUserInfo){
            this.setData({
                userInfo:{},
                hasUserInfo:false
            })
            return
        }
        // 推荐使用wx.getUserProfile获取用户信息，开发者每次通过该接口获取用户个人信息均需用户确认
        // 开发者妥善保管用户快速填写的头像昵称，避免重复弹窗
        wx.getUserProfile({
            desc: '用于完善会员资料', // 声明获取用户个人信息后的用途，后续会展示在弹窗中，请谨慎填写
            success: (res) => {
                this.setData({
                    userInfo: res.userInfo,
                    hasUserInfo: true
                })
            },
            fail: () => {
                wx.showToast({
                    title: '请允许授权，获得更好的服务哦',
                    icon: "none",
                    duration: 3000
                })
            }
        })
    },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})